#!/bin/bash
PATH=$PATH:/bin:/usr/bin
. /etc/afrikalan.conf

if [ "$afrikalan_usbkey_auto" == "off" ]; then
    exit 0
fi

export LANG="fr_FR.UTF-8" #Sans quoi erreurs par ex leur de la convertion d'un fichier JClic dont le nom commence par un caractère accentué

exec >> /tmp/logPlugU
exec 2>&1

# if [ "$1" != "depuis_systemdWant" ]; then
#     if [ $(ps --no-headers -p 1 -o comm) == "systemd" ]; then echo "on est sous systemd: sortie"; exit 0; fi
# else
#     shift #les argugments reprennent leur place
#     echo "debug: depuis systemd_want avec args="$@ 
# fi

if [ "$1" == "detacheDeUdev" ]; then
    shift #les argugments reprennent leur place
else
    echo $0 detacheDeUdev $@ | at now
    exit 0
fi

action=$1
dev=$2
repmnt=$3
fs=$4

echo "event: " $@

runlev=$(/sbin/runlevel | cut -d " " -f 2)
if [ "$5" == "attente" ]; then
	#until [ -e /var/lib/afrikalan/bootFini.flag ]; do #bootFini n'est plus utilisé (pas fiable). On se base maintenant sur le runlevel
 	while [[ $runlev != 2 ]] && [[ $runlev != 3 ]] && [[ $runlev != 5 ]]; do
		sleep 1s
	 	runlev=$(/sbin/runlevel | cut -d " " -f 2)
	done
	$0 $1 $2 $3 $4
	exit 0
elif [[ $runlev != 2 ]] && [[ $runlev != 3 ]] && [[ $runlev != 5 ]]; then
	$0 $1 $2 $3 $4 attente&
	exit 0
fi



if [ "$action" == "debut" ]; then

##Montage du périphérique
	mkdir -p $repmnt
	mntOpt="defaults"
	if [ "$fs" == "ntfs" ]; then  mntOpt="utf8,uid=$afrikalan_utilisateur"; fi
	if [ "$fs" == "vfat" ]; then  mntOpt="utf8,gid=100,umask=000"; fi
	if [ "$fs" == "exfat" ]; then  mntOpt="utf8,gid=100,umask=000"; fi
	if [ "$fs" == "hfsplus" ]; then  mntOpt="umask=000,uid=$afrikalan_utilisateur"; fi

	#Ralenti le montage et il n'est pas sur que ce soit sans danger...
	#if [ "$fs" == "ntfs" ]; then  ntfsfix -d $dev; fi
	#if [ "$fs" == "vfat" ]; then  fsck.vfat -a -w $dev; fi
	#if [ "$fs" == "exfat" ]; then fsck.exfat -a $dev; fi
	#if [ "$fs" == "hfsplus" ]; then fsck.hfsplus -y $dev; fi
	


	mount $dev $repmnt -o$mntOpt
	#[ -w /root-rw ] && writable=1 || writable=0

	echo "mount ret " $?
	run-parts --arg="$action" --arg="$dev" --arg="$repmnt" --arg="$fs" /etc/afrikalan/plugMassStor.action.d/
	sync
fi

if [ "$action" == "fin" ]; then
	run-parts --arg="$action" --arg="$dev" --arg="$repmnt" --arg="$fs" /etc/afrikalan/plugMassStor.action.d/
	/bin/umount  $repmnt
	/bin/rmdir $repmnt
fi

