function ecrireParamFex {
	bin2fex /boot/script.bin /tmp/script.fex
	sed "s/^$1 \?=.*/$1 = $2/g" -i /tmp/script.fex
	fex2bin /tmp/script.fex /boot/script.bin
}

function AffChoixSortieImage {
	if (ls&>/dev/null); then
		listeModes=$(h3disp | grep "use \"-m" | grep -o "^[ \t]*[[:alnum:]]*" | grep -o "[[:alnum:]]*" | sed ':a;N;$!ba;s/\n/!/g')                  
		if vals=$(yad --form --columns=1 "--field=Attention, une erreur de réglage ici peut rendre l'appareil inutilisable. Si vous ne savez, pas ce que vous faites, vous feriez mieux d'annuler...:LBL" "" "--field=mode d'affichage:CB" "$listeModes" "--field=Type de connecteur:CB" "VGA!DVI"); then
			mount / -oremount,rw
			read mode cable <<< $(echo $vals | sed "s/|/ /g")
			cmdh3disp="h3disp -m $mode"
			if [ "$cable" == "DVI" ]; then cmdh3disp="$cmdh3disp -d"; fi
			eval $cmdh3disp
			yad --image=dialog-information --text "Le système va redémarer pour prendre en compte votre choix" --button=ok
			reboot
		fi
	else
		yad --title="Type de sortie d'affichage" --image /usr/share/afrikalan/images/imageDlgInfos.png --text "ATTENTION - si vous faite une erreur, l'appareil risque ne ne plus fonctionner, en cas de doute, veuillez annuler" --form --columns 2  --field="Vielle Télé européenne (PAL)":BTN "$0 defSortieImage pal" --field="Vielle Télé américaine (NTSC)":BTN "$0 defSortieImage ntsc" --field="HDMI TV 480i":BTN "$0 defSortieImage hdmi 0" --field="HDMI TV 576i":BTN "$0 defSortieImage hdmi 1" --field="HDMI TV 480p":BTN "$0 defSortieImage hdmi 2" --field="HDMI TV 576p":BTN "$0 defSortieImage hdmi 3" --field="HDMI TV 720p50":BTN "$0 defSortieImage hdmi 4" --field="HDMI TV 720p60":BTN "$0 defSortieImage hdmi 5" --field="HDMI TV 1080i50":BTN "$0 defSortieImage hdmi 6" --field="HDMI TV 1080i60":BTN "$0 defSortieImage hdmi 7" --field="HDMI TV 1080p24":BTN "$0 defSortieImage hdmi 8" --field="HDMI TV 1080p50":BTN "$0 defSortieImage hdmi 9" --field="HDMI TV 1080p60":BTN "$0 defSortieImage hdmi 10"  --field="HDMI Moniteur 1024x1280":BTN "$0 defSortieImage hdmi 27"  --field="HDMI *autres modes*":BTN "$0 defSortieImage hdmi -1" --button=gtk-cancel
	fi
}


function ChoixSortieImage {
	case $1 in
		pal)
			ecrireParamFex screen0_output_type 2
			ecrireParamFex screen0_output_mode 11
		;;
		ntsc)
			ecrireParamFex screen0_output_type 2
			ecrireParamFex screen0_output_mode 14
		;;
		hdmi)
			if [ $2 -eq -1 ]; then
				mode=$(yad --entry $(seq 1 100) --title "choix d'un mode HDMI" --text "Choissiez un mode\n\nToute erreur peut empecher l'appareil de démarer\!\nEn cas de doute, veuillez annuler\!")
			else
				mode=$2
			fi

			if ! [[ $mode =~ ^[0-9]+$ ]] ; then
				exit 1
			fi

			ecrireParamFex screen0_output_type 3
			ecrireParamFex screen0_output_mode $mode
		;;
	esac

	yad --image=dialog-information --text "Le système va redémarer pour prendre en compte votre choix" --button=ok
	reboot
}


function ouvre_config_overscan {
	afrikalanRegleOverscanLogiciel.sh
}
