#!/bin/bash

attenteImagick () {

wmctrl -l | grep "ImageMagick"
while [ $? -ne 0 ]
do
sleep 1s
wmctrl -l | grep "ImageMagick"
done
}

lireCoords () {
	yad --button " " --sticky --on-top --undecorated --skip-taskbar --title "validePosition"&
	pidYad=$!
	while kill -0 $pidYad
	do
		eval $(xdotool getmouselocation --shell)
		wmctrl -r "validePosition" -e "0,"$(echo $X -50 | bc)","$(echo $Y -30 | bc)",50,30"
		sleep 0.1s
	done

	echo "X=$X; Y=$Y"
}


killall lxpanel




while true; do

killall display



#nouvVals=$(yad --form --title "Positionnement de l'image (overscan)" --text "Cet outil vous permet de mieux positionner l'image sur l'écran, en jouant sur les marges. Il vous sera utile si une partie de l'image n'apparaît pas à l'écran" --field "Marge gauche":NUM " $overscanGauche\!-32..32" --field "Marge droite":NUM " $overscanDroite\!-32..32" --field "Marge haut":NUM " $overscanHaut\!-32..32" --field "Marge Bas":NUM " $overscanBas\!-32..32")
#if [ $? -ne 0 ]; then
#exit
#fi
#
#read nouvGauche nouvDroite nouvHaut nouvBas <<< $(echo $nouvVals | sed "s/,0*//g; s/|/ /g")

yad --title "Positionnement de l'image (overscan)" --text "Cet outil vous permet de mieux positionner l'image sur l'écran, en jouant sur les marges. Il vous sera utile si une partie de l'image n'apparaît pas à l'écran\n\nPressez sur OK pour continuer ou annuler pour sortir"
if [ $? -ne 0 ]; then
exit
fi

#Annulation précédant réglage...
mount / -oremount,rw
cat <<END > /etc/afrikalanOverscan.conf
overscanGauche=0
overscanDroite=0
overscanHaut=0
overscanBas=0
END
mount / -oremount,ro

. afrikalanLireResol.sh
killall XCreateMouseVoid


yad --text "positionez le bout de la flèche de la souris tout en haut à gauche de l'écran (au bord de la partie visible)" --no-buttons --sticky --on-top --undecorated --skip-taskbar &
pidMessage=$!
eval $(lireCoords)
kill $pidMessage
nouvGauche=$X
nouvHaut=$Y
yad --text "positionez le bout de la flèche de la souris tout en bas à droite de l'écran (on ne doit plus voir que le bout de la flèche)" --no-buttons --sticky --on-top --undecorated --skip-taskbar &
pidMessage=$!
eval $(lireCoords)
kill $pidMessage
nouvDroite=$(echo $RESX - $X | bc)
nouvBas=$(echo $RESY - $Y | bc)
echo "*$nouvDroite*"
echo "*$nouvBas*"


simPosGauche=$nouvGauche
simPosHaut=$nouvHaut
simTailleX=$(echo $RESX - $nouvGauche - $nouvDroite -4 |bc)
simTailleY=$(echo $RESY - $nouvBas - $nouvHaut -4 |bc)
# -8

display -resize $simTailleX"x"$simTailleY\! -border 2x2 -bordercolor "#00FF00" /usr/share/afrikalan/images/fond.png&
attenteImagick
wmctrl -r "ImageMagick" -e "0,"$(echo $simPosGauche - 2 | bc)","$(echo $simPosHaut - 24 | bc)","$(echo $simTailleX + 4 | bc)","$(echo $simTailleY + 4 | bc)
sleep 1s
wmctrl -r "ImageMagick" -e "0,"$(echo $simPosGauche - 2 | bc)","$(echo $simPosHaut - 24 | bc)","$(echo $simTailleX + 4 | bc)","$(echo $simTailleY + 4 | bc)


yad --text "cliquez sur valider si le cadre vert est collé aux bords de l'écran. Si ce n'est pas le cas cliquez sur Annuler et affinez les réglages"
if [ $? -eq 0 ]; then
break
fi

done

killall display

mount / -oremount,rw

cat <<END > /etc/afrikalanOverscan.conf
overscanGauche=$nouvGauche
overscanDroite=$nouvDroite
overscanHaut=$nouvHaut
overscanBas=$nouvBas
END

mount / -oremount,ro
