#!/bin/sh

dureeTxt()
{
DUREEENTREE=5
if [ -n "$1" ]; then
NBENTREES=$(cat /rw/log.txt | grep "$1" -c)
echo $(echo "$NBENTREES / 12" | bc)h$(echo "$NBENTREES % 12 * 5" | bc | sed "s/^\([0-9]\)$/0\1/g")
else
echo "n'a pas été utilisé pour l'instant"
fi
}

if [ "$1" = "dureeTxt" ]; then
echo "$2": $(dureeTxt "$2")
exit
fi


echo "Statistiques d'utilisation d'Afrikalan ["$(cat /etc/hostname)"]"
echo ""
echo Pepit.be: $(dureeTxt "^file:///usr/share/www-local/www.pepit.be")
echo Tux Type: $(dureeTxt "^tuxtype$")
echo Tux Math: $(dureeTxt "^tuxmath$")
echo Activités Jclic: $(dureeTxt "/usr/share/JClic/activites-jclic-fr")
echo Gcompris: $(dureeTxt "^gcompris$")
echo Lecture Bamanan: $(dureeTxt "lecture-bm")
echo Lecture Français: $(dureeTxt "lecture-fr")
echo Lecture Peul: $(dureeTxt "lecture-fl")
echo Tux Paint: $(dureeTxt "^tuxpaint$")
echo Vikidia: $(dureeTxt "^vikidia$")
echo Wikipedia: $(dureeTxt "^wikipedia$")
echo Gutenberg: $(dureeTxt "^gutenberg$")
echo Livres écrit: $(dureeTxt "^livre_ecrit$")
echo Vidéo: $(dureeTxt "^video$")
echo Livre audio: $(dureeTxt "^livre_audio$")
echo Clic info ado: $(dureeTxt "^clicinfoado$")
echo Veille: $(dureeTxt "^#INACTIVITE#")
echo ---------------------------------------------------
echo "Durée totale de fonctionnement (actif):" $(dureeTxt "#DEBUTENTREE#")
echo ---------------------------------------------------
echo ""
echo ""
echo "Détail Lecture:"
echo "-------------------"
echo "Bamanan:"
cat /rw/log.txt | grep /usr/share/JClic/lecture-bmbm | sed "s{^.*/usr/share/JClic/lecture-bmbm/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
echo ""
echo "Français:"
cat /rw/log.txt | grep /usr/share/JClic/lecture-fr | sed "s{^.*/usr/share/JClic/lecture-fr/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
echo ""
echo ""
echo "Détail Activités JClic:"
echo "--------------------------"
cat /rw/log.txt | grep /usr/share/JClic/activites-jclic-fr | sed "s{^.*/usr/share/JClic/activites-jclic-fr/{{g" | sort | uniq | xargs -n1 "$0" dureeTxt 
echo ""
echo ""
echo "Détail Pepit.be:"
echo "--------------------"
cat /rw/log.txt | grep "file:///usr/share/www-local/www.pepit.be" | sed "s{^.*file:///usr/share/www-local/www.pepit.be/{{g" | sort | uniq | xargs -i -n1 $0 dureeTxt "{}"
