#!/bin/sh

exec > /tmp/logDemarreServeur
exec 2>&1

. /etc/afrikalan.conf

echo "Hawa Camara Sabani Ba" > /var/lib/afrikalan/serveurActif.lock

# Cette adresse est valable que l'on soit connecté par wifi ou par ethernet (si serveur dhcp)
ip link add eth42 type dummy
/sbin/ifconfig eth42 10.42.42.1 netmask 255.255.255.0

#Nécéssaire pour supporter windows 8
ip link add eth30 type dummy
/sbin/ifconfig eth30 131.107.255.255 netmask 255.255.255.0
ip link add eth31 type dummy
/sbin/ifconfig eth31 131.107.0.1 netmask 255.255.255.0
ip link add eth83 type dummy
/sbin/ifconfig eth83 10.42.83.1 netmask 255.255.255.0

systemctl start afrikalanKiwix
systemctl start apache2

if [ "$afrikalan_mode_serveur_wifi" = "on" ]; then
  ifup wlan0
  ifconfig wlan0 10.42.1.1 netmask 255.255.255.0
  /etc/init.d/hostapd start
fi

#DNSMASQ_OPTS="--conf-file=/etc/afrikalan/dnsmasq.wifiseul.conf"
#cp /etc/afrikalan/dnsmasq.wifiseul.conf /etc/dnsmasq.conf
#/etc/init.d/dnsmasq start

#
# configuration ethernet
#

#Désactivé: semble inutile et idiot (car lancé sans arguments..)
#/etc/ifplugd/action.d/afrikalanEvtStatutEthChange


