#!/bin/sh

iface=$1

if [ -z $iface ]; then
	iface="eth0"
fi

while [ 1 -eq 1 ]
do
	ipGw=$(/sbin/route | grep default | sed "s/^default *//g" | grep -o "^[^ ]*")

	if [ -z "$ipGw" ]; then
		ipGw="255.255.255.255"
	fi

	ping $ipGw -c1
	resping=$?

	if [ $resping -eq 0 ]
	then
		echo connexion ok
		sleep 1m
	else
		/sbin/dhclient -v $iface
	fi

	sleep 5s

done
