#!/bin/bash
. /etc/afrikalan.conf

roDir="/ro/homeAfrikalan"
liveDir="/tmp/homeAfrikalan"
tmpDir="/tmp/cloneHomeAfrikalan"

if [ "$1" == "faire" ]; then

rm -rvf . "$tmpDir"
mkdir -p "$tmpDir"
cd /home/$afrikalan_utilisateur
cp -rvf --preserve=mode,timestamps . "$tmpDir"

rm -rvf . "$roDir"
mkdir -p "$roDir"
cd "$tmpDir"
cp -rvf --preserve=mode,timestamps . "$roDir"

chown -R $afrikalan_utilisateur:$afrikalan_utilisateur "$roDir"

else

pkexec $0 faire
zenity --info --text "Vos modifications ont été enregistrées"

fi



