#!/bin/sh

. /etc/afrikalan.conf

afrikalanSourisMelangerBoutonsSaufMolette.sh

afrikalanClip.sh

if [ -n "$dpmsDelaiStandby" ] && [ -n "$dpmsDelaiSuspend" ] && [ -n "$dpmsDelaiOff" ]; then
  xset s 0 0
  xset s noblank
  xset s noexpose
  xset dpms $dpmsDelaiStandby $dpmsDelaiSuspend $dpmsDelaiOff;
fi

if [ -n "$afrikalan_keymap" ]; then
setxkbmap $afrikalan_keymap
fi

if [ -n "$afrikalan_xvt" ]; then
chvt $afrikalan_xvt
fi

if [ "$afrikalan_type_materiel" = "pc" ]; then
  uid=$(id -u)
  if [ "$uid" = 999 ]; then #utilisateur live cd=999
    amixer -D pulse sset Master 100%
  fi
fi
