#!/bin/sh

. /etc/afrikalan.conf

echo "gutenberg" > /tmp/site.last

if [ -e /var/lib/afrikalan/serveurActif.lock ]; then
	quartz_browser "http://localhost/?aller_activite=gutenberg"
else
  if [ -f /ro/var/www-afrikalan/modules/gutenberg/download/gutenberg_fr_all.zim ] || [ $afrikalan_mode_serveur != "client" ]; then #préférence systématique au contenu local si dispo
    kiwix-serve --port 8080 /ro/var/www-afrikalan/modules/gutenberg/download/gutenberg_fr_all.zim&
    quartz_browser "http://127.0.0.1:8080/gutenberg_fr_all/?"
    killall kiwix-serve
  else
    if afrikalanAttendServeur.sh; then
      quartz_browser "http://serveur.afrikalan.org/?aller_activite=gutenberg"
    fi
  fi
fi

rm /tmp/site.last
