#!/bin/bash

. afrikalanLireResol.sh

repFiltre="s/#VERSION/"$(cat /usr/share/afrikalan/version | sed "s/\//\\\\\//g")"/g";
echo $repFiltre
yad --title="A propos d'afrikalan" --image /usr/share/afrikalan/images/imageDlgInfos.png --text-info --filename=<(cat /usr/share/doc/afrikalan/infos.txt | sed "$repFiltre" | sed -e "/#INFOSDONATEUR/ {" -e "r "<(cat "/etc/afrikalan_donateur.conf" | sed "2i\\\\" | fold -sw 65) -e 'd' -e '}') --width=620 --fontname=sans --button "Lire le manuel:11" --button "Outils maintenance:12" --button "Statistiques:13" --button "gtk-close"
btn=$?

case $btn in
	11)
		zl=$(echo "$RESX * 100 / 600" | bc)
		killall lxpanel
		xpdf -cont -z $zl -geometry $(echo $RESX + 39 | bc)"x"$(echo $RESY - 10 | bc)"+"$(echo -42 + $overscanGauche | bc)"+"$(echo -15 + $overscanHaut | bc) /usr/share/doc/afrikalan/manuel.pdf 
		lxpanel&
	;;
	13)
		afrikalanAfficheLog.sh
	;;
	12)
		rm -rvf /tmp/pi/*
		afrikalanRunClavier.sh gksudo -g afrikalanOutils.sh
	;;
	*)
	;;
esac
