#!/bin/sh

if ["$1" == ""]; then
	localUrl="/usr/share/www-local/www.pepit.be/index.html"
	remoteUrl="http://serveur.afrikalan.org/?aller_activite=pepitBe"
else
	localUrl="/usr/share/www-local/www.pepit.be/niveaux/mali$1.html"
	remoteUrl="http://serveur.afrikalan.org/?aller_activite=pepitBe&niveau=$1" #paramètre pas pris en charge en suivant, à faire.
fi


#trap 'kill $(jobs -p)' EXIT

. /etc/afrikalan.conf
. afrikalanLireResol.sh

#/tmp/midori.site.last inusité par pepit, on se base sur gnash.

zl=$(echo "scale=2; $RESX / 820" | bc | sed "s/^[.]/0./g;")
zl=1
mv ~/.config/midori/config /tmp/midori.config
cat /tmp/midori.config | grep -v zoom-level > ~/.config/midori/config
echo "zoom-level=$zl" >> ~/.config/midori/config


if [ -f /usr/share/www-local/www.pepit.be/index.html ] || [ $afrikalan_mode_serveur != "client" ]; then #préférence systématique au contenu local si dispo
  midori "$localUrl"
else
  if afrikalanAttendServeur.sh; then
    midori "$remoteUrl"
  fi
fi


zl="1.00"
mv ~/.config/midori/config /tmp/midori.config
cat /tmp/midori.config | grep -v zoom-level > ~/.config/midori/config
echo "zoom-level=$zl" >> ~/.config/midori/config
