#!/bin/bash

#trap 'kill $(jobs -p)' EXIT 

ls -l /dev/input/by-path/*-kbd
if [ $? -eq 0 ]; then
#pas de & ici, en cas d'absence de clavier la commande est bloquante, elle doit donc l'être aussi en présence de clavier...
$@
exit
fi

attenteClavier () {

wmctrl -l | grep "Clavier virtuel (xvkbd)"
while [ $? -ne 0 ]
do
sleep 1s
wmctrl -l | grep "Clavier virtuel (xvkbd)"
done
echo "xvkbd trouvé"
}

cat /usr/share/afrikalan/clavier/.XressourcesXvkbd | xrdb
xvkbd -no-function -modal &
attenteClavier
wmctrl -r "Clavier virtuel (xvkbd)" -b "add,below"

affHautAutorise=1
if echo $1 | grep ".*[vV]ikidia.*";  then
affHautAutorise=0
fi

if [ "$1" = "activites-jclic-fr" ]; then
$@&
sleep 1s
#pour la forme: trouver une options moins dégeu, en jouant sur les options de ps et sed...
pidAppli=$(ps --no-header --format "%p %a" -Aww | grep "java" | grep "jclic.jar" | tail -n1 | grep -o "^ *[0-9]*" | sed "s/ //g")
else
$@&
pidAppli=$!
fi

positionX=0
positionY=0

. afrikalanLireResol.sh

positionFenetreX=$(echo "15 + $overscanGauche" | bc)
positionFenetreY=$overscanHaut

posBasAffclav=$(echo $ResPhyY -$overscanBas -5  | bc)
tailleX=$(echo "$RESX - 30" | bc)
tailleY=$(echo "$tailleX * 153 / 653" | bc)
posBasMasqueClav=$(echo "$ResPhyY - $tailleY -$overscanBas -13 " | bc)
posBasCoordYClav=$(echo "$RESY - $tailleY + $overscanHaut" | bc)

posHautAffClav=$(echo 5 + $overscanHaut | bc)
posHautMasqueClav=$(echo $tailleY + 15 + $overscanHaut | bc)

wmctrl -r "Clavier virtuel (xvkbd)" -e "0,$positionFenetreX,$posBasCoordYClav,$tailleX,$tailleY"

function deplacer {
	wmctrl -r "Clavier virtuel (xvkbd)" -e "0,$positionFenetreX,$positionFenetreY,$tailleX,$tailleY"
	wmctrl -r "Clavier virtuel (xvkbd)" -b "add,above"
	#sleep 0.5s
	#wmctrl -r "Tux Paint" -e "0,$positionFenetreX,$positionFenetreY,800,600"
}

while $(kill -s 0 $pidAppli)
do
	eval $(xdotool getmouselocation --shell)


        if [ $Y -lt $posHautAffClav ] && [ $positionY -ne -1 ] && [ $affHautAutorise -eq 1 ]; then
                positionY=-1
                positionFenetreY=$overscanHaut
                deplacer
        fi
        if [ $Y -gt $posBasAffclav ] && [ $positionY -ne 1 ]; then
                positionY=1
                positionFenetreY=$posBasCoordYClav
                deplacer
        fi
        if  $([ $Y -gt $posHautMasqueClav ] && [ $positionY -eq -1 ]) || $([ $Y -lt $posBasMasqueClav ] && [ $positionY -eq 1 ]); then
                positionY=0
                wmctrl -r "Clavier virtuel (xvkbd)" -b "add,below"
        fi
	sleep 0.25s
	
done

killall xvkbd
