#!/bin/sh

#exec > /tmp/logmoussa
#exec 2>&1

. /etc/afrikalan.conf

if [ ! -e /var/lib/afrikalan/serveurActif.lock ]; then
	echo "Le mode serveur n'est pas actif, impossible de l'arreter"
	exit 1
fi

rm /var/lib/afrikalan/serveurActif.lock

killall kiwix-serve
/etc/init.d/apache2 stop

if [ "$afrikalan_mode_serveur_wifi" = "on" ]; then
  /etc/init.d/hostapd stop
fi


# Cette adresse est valable que l'on soit connecté par wifi ou par ethernet (si serveur dhcp)
ip link delete eth42
ip link delete eth30
ip link delete eth31
ip link delete eth83


afrikalanEvtStatutEthChange.sh


