#!/bin/sh

. /etc/afrikalan.conf

echo "vikidia" > /tmp/site.last

if [ -e /var/lib/afrikalan/serveurActif.lock ]; then
	quartz_browser "http://localhost/?aller_activite=vikidia"
else
  if [ -f /usr/share/zim/vikidia_fr.zim ] || [ $afrikalan_mode_serveur != "client" ]; then #préférence systématique au contenu local si dispo
    kiwix-serve --port 8080 --index /usr/share/zim/vikidia_fr.idx /usr/share/zim/vikidia_fr.zim&
    quartz_browser "http://127.0.0.1:8080/vikidia_fr/?"
    killall kiwix-serve
  else
    if afrikalanAttendServeur.sh; then
      quartz_browser "http://serveur.afrikalan.org/?aller_activite=vikidia"
    fi
  fi
fi

rm /tmp/site.last
